Be able to click the chevron for retractable blocks

Bug #1657559 reported by Kristina Hoeppner on 2017-01-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Unassigned

Bug Description

When you can retract a block, you can click anywhere in the panel heading to unretract it, but not the actual chevron. It should be possible to click the chevron as well as that is what users are clicking on.

Reviewed: https://reviews.mahara.org/7406
Committed: https://git.mahara.org/mahara/mahara/commit/55e672dd165127795c7ae486771f0d884fdf15ef
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 55e672dd165127795c7ae486771f0d884fdf15ef
Author: Pat Kira <email address hidden>
Date: Fri Jan 20 14:14:39 2017 +1300

Bug 1657559 - Make collapsible indicator in retractable block clickable

Removed inner-link class from the template because it is unnecessary, inner-link class has higher z-index which make it sit on top of the link that toggles the collapsible.

behatnotneeded - styling only

Change-Id: Icc9035515c03ede436a072f43057161581c80321

Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/7409

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7410

Robert Lyon (robertl-9) on 2017-01-20
Changed in mahara:
status: Confirmed → Fix Committed

Reviewed: https://reviews.mahara.org/7410
Committed: https://git.mahara.org/mahara/mahara/commit/9de3d1b01ed692d773d82778f519e84fa2a954e8
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 9de3d1b01ed692d773d82778f519e84fa2a954e8
Author: Pat Kira <email address hidden>
Date: Fri Jan 20 14:14:39 2017 +1300

Bug 1657559 - Make collapsible indicator in retractable block clickable

Removed inner-link class from the template because it is unnecessary, inner-link class has higher z-index which make it sit on top of the link that toggles the collapsible.

behatnotneeded - styling only

Change-Id: Icc9035515c03ede436a072f43057161581c80321
(cherry picked from commit 55e672dd165127795c7ae486771f0d884fdf15ef)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7409
Committed: https://git.mahara.org/mahara/mahara/commit/0bd4d6a9b16dcf217a89820b6c7a8bdf42ad2fab
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 0bd4d6a9b16dcf217a89820b6c7a8bdf42ad2fab
Author: Pat Kira <email address hidden>
Date: Fri Jan 20 14:14:39 2017 +1300

Bug 1657559 - Make collapsible indicator in retractable block clickable

Removed inner-link class from the template because it is unnecessary, inner-link class has higher z-index which make it sit on top of the link that toggles the collapsible.

behatnotneeded - styling only

Change-Id: Icc9035515c03ede436a072f43057161581c80321
(cherry picked from commit 55e672dd165127795c7ae486771f0d884fdf15ef)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7408
Committed: https://git.mahara.org/mahara/mahara/commit/747657e516788246f2e904399eb7651fc243810e
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 747657e516788246f2e904399eb7651fc243810e
Author: Pat Kira <email address hidden>
Date: Fri Jan 20 14:14:39 2017 +1300

Bug 1657559 - Make collapsible indicator in retractable block clickable

Removed inner-link class from the template because it is unnecessary, inner-link class has higher z-index which make it sit on top of the link that toggles the collapsible.

behatnotneeded - styling only

Change-Id: Icc9035515c03ede436a072f43057161581c80321
(cherry picked from commit 55e672dd165127795c7ae486771f0d884fdf15ef)

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers